<?php

namespace WebServiceCall\Repository\DB\Procedure;

use WebServiceCall\Repository\DB\ABaseRepo;

class ReplicaDadosCNC extends ABaseRepo {

    public function replicaDadosProc ($periodIni, $periodEnd, $nrSeqControle) {
        $params = array(
            ':P_DTINICIAL'      => $periodIni,
            ':P_DTFINAL'        => $periodEnd,
            ':P_NRSEQCONTROLE'  => $nrSeqControle,
        );
        
        return $this->conn->executeQuery(self::REPLICA_DADOS_CNC, $params, [], true); 
    }
    
    private const REPLICA_DADOS_CNC = "
        BEGIN 
            REPLICA_DADOS_CNC(
                TO_DATE(':P_DTINICIAL', 'DD/MM/YYYY'), 
                TO_DATE(':P_DTFINAL', 'DD/MM/YYYY'), 
                :P_NRSEQCONTROLE
            ); 
        END;
    ";
}